Page MenuHomeFreeBSD

audio/virtual_oss: Add sndstat(4) support
ClosedPublic

Authored by khng on Mar 24 2021, 3:58 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 3, 5:32 PM
Unknown Object (File)
Tue, May 28, 8:57 PM
Unknown Object (File)
May 22 2024, 5:08 AM
Unknown Object (File)
May 21 2024, 8:20 PM
Unknown Object (File)
May 21 2024, 2:22 PM
Unknown Object (File)
May 21 2024, 1:40 PM
Unknown Object (File)
May 17 2024, 5:36 AM
Unknown Object (File)
May 17 2024, 5:36 AM
Subscribers

Details

Summary

Fix "FATAL: Makefile: [37]: use a tab (not space) after a variable name"
as well.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

khng requested review of this revision.Mar 24 2021, 3:58 PM
This revision is now accepted and ready to land.Mar 24 2021, 4:03 PM

Approved by: philip (mentor)

But just wondering: how does this software behave when it is built on a system where sndstat.h is available but subsequently run on a system where it is not? i.e. what happens if we build a binary package on a new package builder and install the package on an older (but still supported) version of FreeBSD?

Approved by: philip (mentor)

But just wondering: how does this software behave when it is built on a system where sndstat.h is available but subsequently run on a system where it is not? i.e. what happens if we build a binary package on a new package builder and install the package on an older (but still supported) version of FreeBSD?

The following line shall fail:
https://github.com/hselasky/virtual_oss/blob/main/virtual_main.c#L1811

The consequence of this ioctl call failing is that no virtual_oss devices will be listed in /dev/sndstat, despite the node created by virtual_oss is still presented. For the later question, our current builder will run with the lowest supported release version, so that should not happen in practise.

This revision was automatically updated to reflect the committed changes.